@import url(https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700);
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
#hero,
img,
svg {
  max-width: 100%;
}
:root,
body,
html {
  scroll-behavior: smooth;
  box-sizing: border-box;
}
:root {
  --heading-color: #ffffff;
  --default-font: "Montserrat", sans-serif;
  --heading-font: "Montserrat", sans-serif;
  --nav-font: "Montserrat", sans-serif;
  --background-color: #0c0b09;
  --default-color: #e40000;
  --accent-color: #cda45e;
  --surface-color: #29261f;
  --contrast-color: #0c0b09;
  --nav-color: #ffffff;
  --nav-hover-color: #cda45e;
  --nav-mobile-background-color: #29261f;
  --nav-dropdown-background-color: #29261f;
  --nav-dropdown-color: #ffffff;
  --nav-dropdown-hover-color: #cda45e;
   hyphens: auto;
    --sz: 1rem;  /* size */
  --on: #2eddf3; /* color on */
  --of: #68838d; /* color off */
  --tr: all 0.25s ease 0s;
}

*{
  font-family: 'Montserrat', sans-serif;
  hyphens: auto;
  box-sizing: border-box;
  transition: var(--tr);
}
*,
.navbar ul,
p {
  padding: 0;
}
.navbar .dropdown ul,
.navbar-mobile .dropdown ul {
  box-shadow: 0 0 30px rgba(127, 137, 161, 0.25);
  background: #fff;
}
#hero,
#hero .carousel-fade,
.navbar-mobile,
section {
  overflow: hidden;
}
#footer,
#hero {
  background: #000;
}
*,
::after,
::before {
  box-sizing: border-box;
}
*,
p {
  margin: 0;
}
ol[role="list"],
ul[role="list"] {
  list-style: none;
}
html:focus-within {
  scroll-behavior: smooth;
}
a:not([class]) {
  text-decoration-skip-ink: auto;
}
img,
svg {
  height: auto;
  vertical-align: middle;
  font-style: italic;
  background-repeat: no-repeat;
  background-size: cover;
}
button,
input,
select,
textarea {
  font: inherit;
}
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }
  *,
  ::after,
  ::before {
    animation-duration: 0s !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0s !important;
    scroll-behavior: auto !important;
    transition: none;
  }
}
body,
html {
  height: 100%;
}
body {
  background: #fff;
  color: #666;
  font-family: "Open Sans", sans-serif;
}
#footer .footer-top .footer-info p,
#hero .btn-get-started,
.navbar a,
.navbar a:focus,
h1,
h2,
h3,
h4,
h5 {
  font-family: Montserrat, sans-serif;
}
a {
  transition: 0.5s;
  text-decoration: none;
}
a:active,
a:focus,
a:hover {
  color: var(--default-color);
  outline: 0;
  text-decoration: none;
}
h1,
h2,
h3,
h4,
h5 {
  font-weight: 400;
  padding: 0;
}
.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 996;
  background: var(--default-color);
  width: 40px;
  height: 40px;
  border-radius: 50px;
  transition: 0.4s;
}
.back-to-top i {
  font-size: 28px;
  color: #fff;
  line-height: 0;
}
.back-to-top:hover {
  transform: scale(1.1);
  color: #fff;
}
.back-to-top.active {
  visibility: visible;
  opacity: 1;
}
#header {
  transition: 0.5s;
  z-index: 997;
  background: rgba(0, 0, 0, 0.9);
  padding: 0.3rem 0;
}
#header.header-transparent {
  background: 0 0;
}
#header.header-scrolled {
  background: rgba(0, 0, 0, 0.9);
  transition: background-color 0.3s;
}
#footer .footer-top .footer-info p a,
#header .logo a {
  color: #fff;
}
#header .logo img {
  max-height: 50px;
}
.navbar {
  z-index: 9999;
  padding: 0.3rem 0.5rem;
  max-height: 50%;
}
.navbar ul {
  margin: 0;
  display: flex;
  list-style: none;
  align-items: center;
}
#about,
#about .about-col .img,
#clients .swiper-pagination,
#hero,
.navbar li {
  position: relative;
}
.navbar a,
.navbar a:focus {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0 10px 30px;
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  white-space: nowrap;
  text-transform: uppercase;
  transition: 0.3s;
}
#about .about-col h2 a:hover,
#contact .contact-info a:hover,
#footer .footer-top .footer-info p a:hover,
#footer .footer-top .footer-links ul a:hover,
#hero h3 span,
.navbar .active,
.navbar .active:focus,
.navbar .dropdown ul .active:hover,
.navbar .dropdown ul a:hover,
.navbar .dropdown ul li:hover > a,
.navbar a:hover,
.navbar li:hover > a,
.navbar-mobile .active,
.navbar-mobile .dropdown ul .active:hover,
.navbar-mobile .dropdown ul a:hover,
.navbar-mobile .dropdown ul li:hover > a,
.navbar-mobile a:hover,
.navbar-mobile li:hover > a,
.specials .nav-link.active,
.specials .nav-link:hover {
  color: var(--default-color);
}
.navbar a i,
.navbar a:focus i {
  font-size: 12px;
  line-height: 0;
  margin-left: 5px;
}
.navbar .dropdown ul {
  display: block;
  position: absolute;
  left: 14px;
  top: calc(100% + 30px);
  margin: 0;
  padding: 10px 0;
  z-index: 99;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}
.navbar .dropdown ul li,
.navbar-mobile .dropdown ul li {
  min-width: 200px;
}
.navbar .dropdown ul a {
  padding: 10px 20px;
  text-transform: none;
  color: #666;
}
.navbar .dropdown ul a i,
.navbar-mobile .dropdown ul a i {
  font-size: 12px;
}
.navbar .dropdown:hover > ul {
  opacity: 1;
  top: 100%;
  visibility: visible;
}
.navbar .dropdown .dropdown ul {
  top: 0;
  left: calc(100% - 30px);
  visibility: hidden;
}
.navbar .dropdown .dropdown:hover > ul {
  opacity: 1;
  top: 0;
  left: 100%;
  visibility: visible;
}
@media (max-width: 1366px) {
  .navbar .dropdown .dropdown ul {
    left: -90%;
  }
  .navbar .dropdown .dropdown:hover > ul {
    left: -100%;
  }
}
.mobile-nav-toggle {
  color: #fff;
  font-size: 28px;
  cursor: pointer;
  display: none;
  line-height: 0;
  transition: 0.5s;
  z-index: 99999;
}
@media (max-width: 991px) {
  .mobile-nav-toggle {
    display: block;
  }
  .navbar ul {
    display: none;
  }
}
.navbar-mobile {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  transition: 0.3s;
}
.navbar-mobile .mobile-nav-toggle {
  position: absolute;
  top: 15px;
  right: 15px;
}
.navbar-mobile ul {
  display: block;
  position: absolute;
  top: 55px;
  right: 15px;
  bottom: 15px;
  left: 15px;
  padding: 10px 0;
  background-color: #fff;
  overflow-y: auto;
  transition: 0.3s;
}
.navbar-mobile a,
.navbar-mobile a:focus {
  padding: 10px 20px;
  font-size: 15px;
  color: #333;
}
.navbar-mobile .dropdown ul {
  position: static;
  display: none;
  margin: 10px 20px;
  padding: 10px 0;
  opacity: 1;
  visibility: visible;
}
.navbar-mobile .dropdown ul a {
  padding: 10px 20px;
}
#hero {
  height: 100vh;
  color: #fff;
}
#hero .carousel-item p {
  font-size: 1.3rem;
  width: 100%;
  text-align: justify;
}
.carousel-container .container .kutip {
  font-size: 1.2em;
  color: #fff;
  font-style: italic;
  display: block;
}
@media (max-height: 500px) {
  #hero {
    height: 100vh;
  }
}
#hero .carousel,
#hero .carousel-inner,
#hero .carousel-item,
#hero .carousel-item::before {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}
#hero .carousel-item {
  display: flex;
  justify-content: center;
  align-items: center;
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
}
#hero .carousel-item::before {
  content: "";
  background-color: rgba(0, 0, 0, 0.5);
}
#hero .carousel-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 0;
  top: 70px;
  left: 50px;
  right: 50px;
}
#hero h2 {
  color: #fff;
  margin-bottom: 0.5rem;
  font-size: 2rem;
  font-weight: 700;
}
#hero h3 {
  font-size: 1.5rem;
}
#hero .carousel-fade .carousel-inner .carousel-item {
  transition-property: opacity;
}
#hero .carousel-fade .carousel-inner .active.carousel-item-end,
#hero .carousel-fade .carousel-inner .active.carousel-item-start,
#hero .carousel-fade .carousel-inner .carousel-item,
.specials.tab-pane {
  opacity: 0;
}
#hero .carousel-fade .carousel-inner .active,
#hero .carousel-fade .carousel-inner .carousel-item-next.carousel-item-start,
#hero .carousel-fade .carousel-inner .carousel-item-prev.carousel-item-end {
  opacity: 1;
  transition: 0.5s;
}
#hero .carousel-fade .carousel-inner .active.carousel-item-end,
#hero .carousel-fade .carousel-inner .active.carousel-item-start,
#hero .carousel-fade .carousel-inner .carousel-item-next,
#hero .carousel-fade .carousel-inner .carousel-item-prev {
  left: 0;
  transform: translate3d(0, 0, 0);
}
#hero .carousel-control-next,
#hero .carousel-control-prev {
  width: 5%;
}
@media (min-width: 1024px) {
  #hero .carousel-control-next,
  #hero .carousel-control-prev {
    width: 5%;
  }
}
#hero .carousel-control-next-icon,
#hero .carousel-control-prev-icon {
  background: 0 0;
  font-size: 1.5rem;
  line-height: 1;
}
#hero .carousel-indicators li {
  cursor: pointer;
  list-style-type: none;
}
#hero .btn-get-started {
  font-weight: 500;
  font-size: 1rem;
  display: inline-block;
  padding: 0.5rem 1rem;
  border-radius: 3.125rem;
  transition: 0.5s;
  color: #fff;
  background: var(--default-color);
}
#hero .btn-get-started:hover {
  opacity: 0.8 !important;
  transform: scale(1.05) !important;
}
.section-header h1,
.section-header h3 {
  font-size: 1.5rem;
  color: #111;
  text-transform: uppercase;
  text-align: center;
  font-weight: 700;
  position: relative;
  padding: 1rem 0 0.5rem;
}
.section-title p,
.section-title ul li {
  text-transform: none;
  color: #333;
  margin: 0;
}
.section-header h1::before,
.section-header h3::before {
  content: "";
  position: absolute;
  display: block;
  width: 7.5rem;
  height: 0.0625rem;
  background: #ddd;
  bottom: 0.0625rem;
  left: calc(50% - 3.75rem);
}
.section-header h1::after,
.section-header h3::after {
  content: "";
  position: absolute;
  display: block;
  width: 2.5rem;
  height: 0.1875rem;
  background: var(--default-color);
  bottom: 0;
  left: calc(50% - 1.25rem);
}
.section-header p {
  text-align: center;
  padding-bottom: 1.875rem;
  color: #333;
}
.breadcrumbs {
  padding: 20px 0;
  background-color: #f7f7f7;
  min-height: 40px;
  margin-top: 80px;
}
.breadcrumbs h2 {
  font-size: 24px;
  margin-bottom: 0;
  font-weight: 400;
}
.breadcrumbs ol {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  margin: 0;
  font-size: 14px;
}
.breadcrumbs ol li + li {
  padding-left: 10px;
}
.breadcrumbs ol li + li::before {
  display: inline-block;
  padding-right: 10px;
  color: #6c757d;
  content: "/";
}
@media (max-width: 768px) {
  #hero h1 {
    font-size: 1.3rem;
  }
  #hero h3 {
    font-size: 1.1rem;
  }
  #hero .carousel-item p {
    font-size: 0.9rem;
  }
  #hero .carousel-item {
    background-size: cover;
    background-position: right -100px center;
    background-repeat: no-repeat;
  }
  #hero .carousel-item.slide2 {
    background-position: left;
  }
  #hero .carousel-control-next-icon,
  #hero .carousel-control-prev-icon {
    display: none;
  }
  .breadcrumbs .d-flex {
    display: block !important;
  }
  .breadcrumbs ol {
    display: block;
  }
  .breadcrumbs ol li {
    display: inline-block;
  }
}
#about {
  background: url("../img/about-bg.jpg") center top/cover no-repeat fixed;
  padding: 1rem;
  text-align: justify;
}
#about::before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.92);
  z-index: 9;
}
#about .container,
#partner .container {
  position: relative;
  z-index: 10;
}
#about .about-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 20px;
}
#about .about-col .img img {
  border-radius: 4px 4px 0 0;
}
#about .about-col .icon {
  width: 64px;
  height: 64px;
  text-align: center;
  position: absolute;
  background-color: var(--default-color);
  border-radius: 50%;
  border: 4px solid #fff;
  left: calc(50% - 32px);
  bottom: -30px;
  transition: 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
}
#about .about-col i {
  font-size: 28px;
  line-height: 0;
  color: #fff;
  transition: 0.3s;
}
#about .about-col:hover .icon {
  background-color: #fff;
}
#about .about-col h2 a,
#about .about-col:hover i,
#contact .contact-info a {
  color: #000;
}
#about .about-col h2 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 20px;
  padding: 0;
  margin: 40px 0 12px;
}
#about .about-col p {
  font-size: 14px;
  line-height: 24px;
  color: #333;
  margin-bottom: 0;
  padding: 0 20px 20px;
}
#services {
  background: 0 0 / cover #fff;
  padding: 60px 0 40px;
}
#footer .footer-top .footer-contact,
#footer .footer-top .footer-info,
#footer .footer-top .footer-links {
  margin-bottom: 30px;
}
#services .icon {
  float: left;
}
#services .icon i {
  color: var(--default-color);
  font-size: 36px;
  line-height: 0;
  transition: 0.5s;
}
#services .title {
  margin-left: 60px;
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 18px;
}
#services .title a {
  color: #111;
}
#services .description {
  font-size: 14px;
  margin-left: 60px;
  line-height: 24px;
  margin-bottom: 0;
}
#partner {
  background: url("../img/facts-bg.jpg") center top/cover no-repeat fixed;
  padding-top: 1.5rem;
  position: relative;
}
#partner::before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.88);
  z-index: 1;
}
#partner .container,
#partner .swiper-container {
  position: relative;
  z-index: 2; /* Nilai z-index lebih tinggi dari pseudo-element */
}
.section-bg {
  background: #f9f9f9;
  padding-top: 2rem;
}
.section-title {
  font-size: 2rem;
  color: #333;
  text-transform: uppercase;
  position: relative;
}
.owl-carousel {
  display: flex;
  flex-wrap: wrap;
  overflow-x: auto;
}
.owl-carousel .item {
  flex: 1 1 12.5rem;
  margin-right: 0.9375rem;
  margin-bottom: 0.9375rem;
}
.owl-carousel .card {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  border: 1px solid #ddd;
  border-radius: 0.625rem;
  transition: transform 0.3s;
}
.owl-carousel .card img {
  max-width: 100%;
  border-bottom: 1px solid #ddd;
}
.owl-carousel .card-body {
  padding: 0.9375rem;
}
.owl-carousel .card:hover {
  transform: scale(1.05);
}
.portfolio .section-header.judul h2 {
  color: #333;
  text-align: center;
}
.portfolio .section-header.judul p {
  font-size: 1rem;
  color: #333;
  text-align: justify;
  text-transform: none;
  margin: 0;
  padding: 0 0.4rem;
}
.portfolio .portfolio-item {
  margin-bottom: 1rem;
}
.portfolio #portfolio-flters {
  padding: 0;
  margin: 0.3;
  list-style: none;
  text-align: center;
}
.portfolio #portfolio-flters li {
  cursor: pointer;
  margin: 0.3rem;
  display: inline-block;
  padding: 0.5rem 1rem;
  font-size: 0.8rem;
  color: #444;
  border-radius: 0.25rem;
  text-transform: uppercase;
  background: #fff;
  transition: 0.3s ease-in-out;
}
#footer .footer-top .social-links a:hover,
.portfolio #portfolio-flters li.filter-active,
.portfolio #portfolio-flters li:hover,
.portfolio .portfolio-wrap .portfolio-info a:hover {
  background: var(--default-color);
  color: #fff;
}
.portfolio #portfolio-flters li:last-child {
  margin-right: 0;
}
.portfolio .portfolio-wrap {
  box-shadow: 0 0.125rem 0.75rem rgba(0, 0, 0, 0.08);
  transition: 0.3s;
  position: relative;
  overflow: hidden;
  max-height: 500px;
}
.portfolio .portfolio-wrap img {
  transition: 0.3s;
}
.portfolio .portfolio-wrap .portfolio-info {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 0;
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  transition: 0.3s;
  text-align: center;
  background: rgba(0, 0, 0, 0.7);
  padding: 0 0.5rem;
  color: #fff;
}
.portfolio .portfolio-wrap .portfolio-info h4 {
  font-size: 1rem;
  color: #fff;
  font-weight: 600;
  text-align: center;
}
.portfolio .portfolio-wrap .portfolio-info p {
  color: #fff;
  font-size: 0.8rem;
  text-align: justify;
  padding: 0 0.5rem;
}
.portfolio .portfolio-wrap .portfolio-info a {
  color: #3b3b3b;
  margin: 0 0.3rem;
  line-height: 0;
  background-color: #fff;
  border-radius: 50%;
  text-align: center;
  width: 2.7rem;
  height: 2.7rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
}
.portfolio-links {
  padding: 1rem;
  margin: 1rem;
}
.portfolio .portfolio-wrap .portfolio-info a i {
  font-size: 1.375rem;
  line-height: 0;
}
.portfolio .portfolio-wrap:hover {
  box-shadow: 0 0.25rem 0.875rem rgba(0, 0, 0, 0.16);
}
.portfolio .portfolio-wrap:hover .portfolio-info {
  opacity: 1;
  padding-bottom: 0;
}
.portfolio .portfolio-wrap:hover img {
  transform: scale(1.07);
}
.portfolio-details {
  padding-top: 2.5rem;
}
.portfolio-details .portfolio-details-slider img,
.struktur .row {
  width: 100%;
}
.portfolio-details .portfolio-details-slider .swiper-pagination {
  margin-top: 1.25rem;
  position: relative;
}
.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
  width: 0.75rem;
  height: 0.75rem;
  background-color: #fff;
  opacity: 1;
  border: 0.0625rem solid #428bca;
}
.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
  background-color: #428bca;
}
.portfolio-details .portfolio-info {
  padding: 1.875rem;
  box-shadow: 0 0 1.875rem rgba(31, 53, 72, 0.08);
}
.card:hover,
.table:hover {
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}
.portfolio-details .portfolio-info h3 {
  font-size: 1.375rem;
  font-weight: 700;
  margin-bottom: 1.25rem;
  padding-bottom: 1.25rem;
  border-bottom: 0.0625rem solid #eee;
}
.portfolio-details .portfolio-info ul {
  list-style: none;
  padding: 0;
  font-size: 0.9375rem;
}
.portfolio-details .portfolio-info ul li + li {
  margin-top: 0.625rem;
}

#contact {
  padding: 1rem;
}
#contact .contact-info {
  margin-bottom: 1.25rem;
  text-align: center;
}
#contact .contact-info i {
  font-size: 2rem;
  display: inline-block;
  margin-bottom: 0.625rem;
  color: var(--default-color);
}
#contact .contact-info address,
#contact .contact-info p {
  font-size: 1rem;
  margin-bottom: 0;
  color: #000;
}
#contact .contact-info h3 {
  font-size: 1rem;
  margin-bottom: 0.9375rem;
  font-weight: 700;
  text-transform: uppercase;
  color: #999;
}
#contact .contact-address,
#contact .contact-email,
#contact .contact-phone {
  margin-bottom: 1.25rem;
}
.form,
.form #contactForm {
  padding: 2rem;
  border-radius: 8px;
}
.form {
  background: #f7f7f7;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  margin-top: 2rem;
}
.form #contactForm {
  background: #fff;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.05);
}
.form .form-group {
  margin-bottom: 1.5rem;
}
.form .loading {
  display: none;
  margin-bottom: 1rem;
  text-align: center;
  font-size: 1rem;
  color: #555;
}
.form .form-group input,
.form .form-group textarea {
  width: 100%;
  padding: 0.75rem 1rem;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 1rem;
  transition: border-color 0.3s, box-shadow 0.3s;
}
.form .form-group input:focus,
.form .form-group textarea:focus {
  border-color: var(--default-color);
  box-shadow: 0 0 5px rgba(24, 210, 110, 0.2);
  outline: 0;
}
.form button[type="submit"] {
  background: var(--default-color);
  border: none;
  padding: 0.75rem 2rem;
  color: #fff;
  font-size: 1rem;
  border-radius: 4px;
  cursor: pointer;
  transition: background 0.3s;
}
.form button[type="submit"]:hover {
  opacity: 0.7;
}
@media (min-width: 768px) {
  #contact .contact-address,
  #contact .contact-email,
  #contact .contact-phone {
    padding: 1rem 0;
  }
  #contact .contact-phone {
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
  }
  .form {
    padding: 3rem;
  }
  .form #contactForm {
    padding: 2.5rem;
  }
}
.btn-primary {
  display: flex;
  align-items: center;
}
#footer {
  color: #eee;
  font-size: 1rem;
}
#footer .footer-top {
  background: #111;
  padding: 60px 0 30px;
}
#footer .footer-top .footer-info h3 {
  font-size: 1.5rem;
  margin: 0 0 20px;
  padding: 2px 0 2px 10px;
  line-height: 1;
  font-family: Montserrat, sans-serif;
  font-weight: 700;
  letter-spacing: 3px;
  border-left: 4px solid var(--default-color);
}
#iroomCarousel,
.struktur p.fw-bold {
  margin-bottom: 0;
}
#footer .footer-top .footer-info p {
  font-size: 14px;
  line-height: 24px;
  margin-bottom: 0;
  color: #eee;
}
#footer .footer-top .social-links a {
  display: inline-block;
  background: #333;
  color: #fff;
  line-height: 1;
  margin-right: 4px;
  border-radius: 50%;
  width: 36px;
  height: 36px;
  transition: 0.3s;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
#footer .footer-top .social-links a i {
  line-height: 0;
  font-size: 16px;
}
#footer .footer-top h4 {
  font-size: 1rem;
  font-weight: 700;
  color: #fff;
  text-transform: uppercase;
  position: relative;
  padding-bottom: 12px;
}
#footer .footer-top h4::after,
#footer .footer-top h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 2px;
}
#footer .footer-top h4::before {
  right: 0;
  background: #555;
}
#footer .footer-top h4::after {
  background: var(--default-color);
  width: 60px;
}
#footer .footer-top .footer-links ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
#footer .footer-top .footer-links ul i {
  padding-right: 8px;
  color: #ddd;
}
#footer .footer-top .footer-links ul li {
  border-bottom: 1px solid #333;
  padding: 10px 0;
}
#footer .footer-top .footer-links ul li:first-child {
  padding-top: 0;
}
#footer .footer-top .footer-links ul a {
  color: #eee;
}
#footer .footer-top .footer-contact p {
  line-height: 26px;
}
#footer .copyright {
  text-align: center;
  padding-top: 30px;
}
.section-title p {
  font-size: 1rem;
  text-align: justify;
  padding: 0.2rem 0.4rem;
}
.section-title ul li {
  font-size: 1rem;
  padding: 0 0.4rem;
  list-style: number;
}
.struktur .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.struktur .col-lg-5 {
  display: flex;
  justify-content: center;
  align-items: center;
}
.struktur ul {
  width: 100%;
  padding-left: 20px;
  margin-top: 0;
}
.container .details {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin-top: 0.3rem;
}

.nav.details-pro {
  border: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  list-style: none;
}
.nav.details-pro li {
  list-style: none;
  position: relative;
}
.nav.details-pro .nav-link {
  position: relative;
  padding-bottom: 5px;
}
.nav.details-pro .nav-link::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 2px;
  transition: width 0.3s;
  transform: translateX(-50%);
}
.nav.details-pro .nav-link.active::before,
.nav.details-pro .nav-link:hover::before {
  width: 50%;
}
.specials {
  overflow: hidden;
  position: relative;
  text-align: justify;
}
.specials .details h3 {
  margin-top: 1rem;
  font-size: 26px;
  font-weight: 600;
  margin-bottom: 20px;
}
.specials .nav-link {
  padding: 0.2rem 0.5rem;
  margin: 0;
  border: none;
  transition: 0.3s;
  color: #333;
  border-radius: 0;
  font-weight: 600;
  font-size: 1rem;
}
.specials.tab-pane.active.show {
  opacity: 1;
  animation: 0.5s ease-out fadeIn;
}
.specials .details p {
  color: rgba(51, 51, 51, 0.8);
  margin: 0.5rem;
}
@media (max-width: 992px) {
  .specials .nav-link {
    border: 0;
  }
}
.judul-namo {
  font-size: 1.5rem;
  font-family: roboto, sans-serif;
  font-weight: 400;
  border-bottom: 1px solid #333;
  padding-bottom: 1px;
  margin-bottom: 10px;
  width: fit-content;
}
@media screen and (max-width: 768px) {
  .judul-namo {
    font-size: 1.2rem;
  }
}
.video-wrapper {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.video-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
  border-radius: 8px;
}
.table {
  width: 100%;
  border-collapse: collapse;
  font-size: 1rem;
  margin-top: 1rem;
}
.table td,
.table th {
  border: 1px solid #ddd;
  padding: 8px;
  text-align: center;
}
.table th {
  background-color: #f2f2f2;
  color: #000;
}
.table tr:nth-child(2n) {
  background-color: #f9f9f9;
}
.table:hover {
  background-color: #ddd;
}
.carousel-indicators [data-bs-target],
.carousel-indicators button {
  background-color: rgba(0, 0, 0, 0.5);
  border: none !important;
  width: 10px !important;
  height: 10px !important;
  border-radius: 100% !important;
  margin: 1px !important;
  opacity: 1 !important;
  transition: opacity 0.6s !important;
}
.carousel-indicators .active {
  background-color: #fff !important;
  opacity: 1 !important;
}
.carousel-indicators {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 2;
  display: flex;
  justify-content: center;
  padding: 0;
  margin: 0;
}
.carousel-inner p {
  font-size: 1rem;
  width: 100%;
  text-align: center;
}
.carousel-inner .carousel-description {
  font-size: 1rem;
  width: 100%;
  text-align: justify;
  padding-bottom: 2rem;
}
#iroomCarousel {
  padding: 10px 15px;
  border-radius: 10px;
  margin-top: 15px;
  justify-content: center;
}
#iroomCarousel .carousel-indicators {
  position: relative;
  margin-top: 35px;
  justify-content: center;
}
#iroomCarousel .carousel-indicators button {
  width: 12px;
  height: 12px;
  border-radius: 50%;
}
@keyframes upDown {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
}
.animate-up-down {
  animation: 2s ease-in-out infinite upDown;
}
/* /kitchen */

.kitchen-set-section h2 {
  font-size: 2.5rem;
  font-weight: 700;
  color: #333;
}

.layout-info {
  padding: 2rem;
}

.layout-info h3 {
  font-size: 2rem;
  font-weight: 600;
  color: #2c3e50;
  margin-bottom: 1rem;
}

.layout-info p {
  font-size: 1.1rem;
  color: #34495e;
  margin-bottom: 1.5rem;
}

.layout-info ul {
  list-style-type: none;
  padding-left: 0;
  margin-bottom: 1.5rem;
}

.layout-info ul li {
  padding-left: 1.5rem;
  position: relative;
  margin-bottom: 0.5rem;
}

.layout-info ul li::before {
  content: "✓";
  position: absolute;
  left: 0;
  color: #27ae60;
  font-weight: bold;
}

.btn-outline-primary {
  color: #111111;
  border-radius: 30px;
  padding: 0.5rem 1.5rem;
  transition: all 0.3s ease;
}

.btn-outline-primary:hover {
  background-color: #3498db;
  color: #fff;
}
.tab-content .tab-pane {
  z-index: 1; /* Menambahkan z-index yang lebih rendah untuk tab pane */
}
.tab-content img {
  transition: transform 0.3s ease;
}

.tab-content img:hover {
  transform: scale(1.02);
}

@media (max-width: 768px) {
  .layout-info {
    text-align: center;
  }
  .layout-info ul {
    display: inline-block;
    text-align: left;
  }
}

.img-fluid {
  max-width: 100%;
  height: auto;
}

.feature-list {
  padding-left: 0;
  list-style-type: none;
}

.feature-list li {
  padding: 5px 0;
  display: flex;
  align-items: center;
}

.feature-list i {
  color: #28a745;
  margin-right: 10px;
}

/* card */
.card {
  background-color: #ffffff;
  transition: all 0.3s ease;
  border: 1px solid #e0e0e0;
  overflow: hidden;
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 20px rgba(228, 0, 0, 0.15);
}

.card:hover::before {
  opacity: 1;
}

.card-img-top {
  transition: transform 0.3s ease;
}

.card:hover .card-img-top {
  transform: scale(1.05);
}

.card-body {
  position: relative;
  z-index: 1;
}

.fabric-sample text-center {
  perspective: 1000px;
  margin-bottom: 15px;
}

.fabric-image {
  transition: transform 0.3s;
  transform-style: preserve-3d;
}

.fabric-sample:hover .fabric-image {
  transform: scale(1.05);
  transition: transform 0.3s ease;
}

.fabric-sample text-center img {
  border-radius: 5px;
}

.fabric-sample text-center small {
  display: block;
  text-align: center;
  margin-top: 5px;
}

.toggle {
  position: relative;
  width: calc(var(--sz) * 4);
  height: calc(var(--sz) * 2);
  display: flex;
  align-items: center;
  justify-content: center;
}

input {
  display: none;
}

label[for=btn] {
  position: absolute;
  width: calc(var(--sz) * 4);
  height: calc(var(--sz) * 2);
  background: linear-gradient(180deg, #888, #fff);
  border-radius: var(--sz);
  padding: calc(var(--sz) / 5);
  box-shadow: 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002;
}	

#btn:checked + label[for=btn] {
  box-shadow: 
    0 calc(var(--sz) / 50) calc(var(--sz) / 5) #fff9, 
    0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002;
}

label[for=btn]:after {
  content: "";
  position: absolute;
  width: calc(100% - calc(calc(var(--sz) / 5) * 12));
  height: calc(100% - calc(calc(var(--sz) / 5) * 2));
  box-shadow: 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) #fff;
  border-radius: var(--sz);
  z-index: 0;
  opacity: 0;
  transition: var(--tr);
  animation: move-shadow 3s ease 0s 1;
}

#btn:checked + label[for=btn]:after {
  opacity: 1;
  width: calc(100% - calc(calc(var(--sz) / 5) * 4));
}

.btn-bck {
  position: relative;
  font-size: 17px;
  text-transform: uppercase;
  text-decoration: none;
  padding: 1em 2.5em;
  display: inline-block;
  cursor: pointer;
  border-radius: 6em;
  transition: all 0.2s;
  border: none;
  font-family: inherit;
  font-weight: 500;
  color: black;
  background-color: #E6E6E6;
}

.btn-bck:hover {
  transform: translateY(-3px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.btn-bck:active {
  transform: translateY(-1px);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.btn-bck::after {
  content: "";
  display: inline-block;
  height: 100%;
  width: 100%;
  border-radius: 100px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  transition: all 0.4s;
}

.btn-bck::after {
  background-color: #fff;
}

.btn-bck:hover::after {
  transform: scaleX(1.4) scaleY(1.6);
  opacity: 0;
}





.track {
  position: absolute;
  width: calc(calc(var(--sz) * 4) - calc(var(--sz) / 2.5));
  height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 2.5));
  border-radius: var(--sz);
  overflow: hidden;
}

.track:before {
  content: "";
  position: absolute;
  width: calc(200% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3)));
  height: 100%;
  left: -50%;
  transition: var(--tr);
  background: linear-gradient(90deg, var(--on) 50%, var(--of) 50%);
  animation: move-color 3s ease 0s 1;
}

.track:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: var(--sz);
  box-shadow: 0 calc(var(--sz) / -10) calc(var(--sz) / 10) 0 #0005 inset, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0005 inset;
}

#btn:checked + label .track:before {
  left: 0%;
}







.thumb {
  position: absolute;
  width: calc(calc(var(--sz) * 2) - calc(var(--sz) / 3));
  height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 3));
  top: calc(calc( var(--sz) / 10) + calc(var(--sz) / 15));
  left: calc(calc( var(--sz) / 10) + calc(var(--sz) / 15));
  background: linear-gradient(180deg, #fff, #afafaf);
  border-radius: var(--sz);
  box-shadow: 0 0 0 calc(var(--sz) / 50) #0002, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0008;
  cursor: pointer;
  font-size: calc(var(--sz) / 2);
  display: flex;
  align-items: center;
  justify-content: center;
  text-indent: calc(var(--sz) * -0.025);
  text-shadow: 
    calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008, 
    calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  color: #7d7c7c;
  z-index: 1;
  animation: move-thumb 3s ease 0s 1;
}

#btn:checked + label .thumb {
  left: calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc( var(--sz) / 10) + calc(var(--sz) / 15)));
  color: var(--on);
  background: 
    radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)),
    radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%), 
    linear-gradient(180deg, #fff, #afafaf);
  text-shadow: 
    0 0 calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 5) #fff, 
    calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008, 
    calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
}

.thumb:before {
  content: "";
  display: block;
  width: 70%;
  height: 70%;
  background: linear-gradient(180deg, #0008, #ccc, #fff);
  position: absolute;
  z-index: -1;
  border-radius: var(--sz);
  border: calc(var(--sz) / 50) solid #ddd;
}





.txt:before, 
.txt:after {
  content: "";
  position: absolute;
  left: calc(var(--sz) / 2);
  top: 25%;
  content: "EN";
  transition: var(--tr);
  font-size: calc(var(--sz) / 1.5);
  color: #000;
  opacity: 0.4;
  text-shadow: 0px -1px 1px #000, 0px 1px 2px #fff;
}

.txt:after {
  content: "ID";
  left: calc(100% - calc(var(--sz) / 0.625));
}


/* initial animation */
@keyframes move-thumb {
  0%, 20%, 80%, 100% { 
    left: calc(calc( var(--sz) / 10) + calc(var(--sz) / 15));
    color: #7d7c7c;
    background: linear-gradient(180deg, #fff, #afafaf);
    text-shadow:  
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008, 
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
  30%, 70% {
    left: calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc( var(--sz) / 10) + calc(var(--sz) / 15)));
    color: var(--on);
    background: 
      radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)),
      radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%), 
      linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      0 0 calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 5) #fff, 
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008, 
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
}

@keyframes move-color {
  0%, 20%, 80%, 100% { left: -50%; }
  30%, 70% { left: 0%; }
}


@keyframes move-shadow {
  0%, 20%, 80%, 100% { 
    opacity: 0;
    width: calc(100% - calc(calc(var(--sz) / 5) * 12));	
  }
  30%, 70% { 
    opacity: 1;
    width: calc(100% - calc(calc(var(--sz) / 5) * 4));
  }
}
